Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Denial of Service >> FastStream Web Server HEAD DoS


Vulnerability Assessment Details

FastStream Web Server HEAD DoS

Vulnerability Assessment Summary
Checks for version of FastStream NetFile

Detailed Explanation for this Vulnerability Assessment

The remote host is running a version of the FastStream Web server
which is older or as old as version 7.1.

The remote version of this software does not close the connection when
an HTTP HEAD request is received with the keep-alive option set. A possible hacker
may exploit this flaw by sending multiple HEAD requests to the remote host,
thus consuming all its file descriptors until it does not accept connections
any more.

See also : http://users.pandora.be/bratax/advisories/b003.html

Solution : Upgrade to the newest version of this software
Network Security Threat Level: Medium

Networks Security ID: 11687

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 Tenable Network Security

Cables, Connectors

Promise VTrak M610i 16-bay iscsi/sata-3gb 3u raid storage system with 8.5TB
$599.99
Promise VTrak M610i 16-bay iscsi/sata-3gb 3u raid storage system with 8.5TB pictureDELL PowerEdge R710 Server 2xQuad-Core Xeon 3.06GHz + 192GB RAM + 8x600GB RAID
$998.88
DELL PowerEdge R710 Server 2xQuad-Core Xeon 3.06GHz + 192GB RAM + 8x600GB RAID pictureLOT OF 4 LSI Corp. SAS3442E-R SAS RAID PCI-e Adapter Controller Cards
$55.0
LOT OF 4 LSI Corp. SAS3442E-R SAS RAID PCI-e Adapter Controller Cards  pictureDell PERC H700 W56W0 RAID Controller
$60.0
Dell PERC H700 W56W0 RAID Controller picture


Discussions

No Discussions have been posted on this vulnerability.